package procesador;

public class AccionSemantica implements ItemPila {

    private final String accion;

    public AccionSemantica(String accion) {
        this.accion = accion;
    }

    public String getAccion() {
        return accion;
    }

    @Override
    public Tipo getTipo() {
        return Tipo.ACCIONSEMANTICA;
    }

    @Override
    public String debug() {
        return "AS(" + accion + ")";
    }

    @Override
    public String toString() {
        return "AS(" + accion + ")";
    }

    @Override
    public ItemPila clone() {
        try {
            return (AccionSemantica) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError(e);
        }
    }

}
